<?php

// Gets language files from /lang/
   
load_theme_textdomain ( 'basicco', get_template_directory() . '/lang' );


// Standard width content

if ( ! isset ( $content_width) ) $content_width = 700;


// The visual editor uses the editor-style.css

add_editor_style();


// Adds links rss feed pattern for posts and comments

add_theme_support( 'automatic-feed-links' );


// Adds format posts

add_theme_support('post-formats', array('aside', 'gallery', 'link', 'quote', 'status', 'audio', 'chat', 'image', 'video' ) );


// Setting the header image

$defaults = array(
	'default-image'          => '',
	'random-default'         => false,
	'width'                  => 300,
	'height'                 => 60,
	'flex-height'            => true,
	'flex-width'             => true,
	'default-text-color'     => '',
	'header-text'            => false,
	'uploads'                => true,
	'wp-head-callback'       => '',
	'admin-head-callback'    => '',
	'admin-preview-callback' => '',
);


// Support for custom header

add_theme_support( 'custom-header', $args );



// Support for custom background

add_theme_support( 'custom-background', $args );


// Thumbnail Support

add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 920, 0, TRUE );


// Widgets area

register_sidebar( array(
    'name' => __( 'Right Sidebar: Global', 'basicco'),
    'id' => 'global-right-column',
    'description' => __( 'This is a widget area positioned in the top of the right sidebar. If you put something here, appear throughout the site.' , 'basicco'),
    'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
    'after_widget' => '</li>',
    'before_title' => '<h2 class="widget-title">',
    'after_title' => '</h2>',
    ) );

register_sidebar( array(
    'name' => __( 'Right Sidebar: Home', 'basicco'),
    'id' => 'front-page-right-column',
    'description' => __( 'This is the second widget area on the right sidebar. What to put here will only appear on the homepage.' , 'basicco'),
    'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
    'after_widget' => '</li>',
    'before_title' => '<h2 class="widget-title">',
    'after_title' => '</h2>',
    ) );

register_sidebar( array(
    'name' => __( 'Right Sidebar: Single Post', 'basicco'),
    'id' => 'posts-right-column',
    'description' => __( 'This is the second widget area on the right sidebar. What to put here appear only in single posts.' , 'basicco'),
    'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
    'after_widget' => '</li>',
    'before_title' => '<h2 class="widget-title">',
    'after_title' => '</h2>',
    ) );

register_sidebar( array(
    'name' => __( 'Right Sidebar: Page', 'basicco'),
    'id' => 'pages-right-column',
    'description' => __( 'This is the second widget area on the right sidebar. What to put here will appear only on static pages,
     but does not appear on a page that you put as homepage.' , 'basicco'),
    'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
    'after_widget' => '</li>',
    'before_title' => '<h2 class="widget-title">',
    'after_title' => '</h2>',
    ) );

register_sidebar( array(
    'name' => __( 'Right Sidebar: Fallback', 'basicco'),
    'id' => 'fallback-right-column',
    'description' => __( 'This is the second widget area on the right sidebar for fallback.' , 'basicco'),
    'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
    'after_widget' => '</li>',
    'before_title' => '<h2 class="widget-title">',
    'after_title' => '</h2>',
    ) );



// Comments

function custom_comments($comment, $args, $depth) {
  $GLOBALS['comment'] = $comment;
 $GLOBALS['comment_depth'] = $depth;
  ?>
   <li id="comment-<?php comment_ID() ?>" <?php comment_class() ?>>
    <div class="comment-author vcard"><?php commenter_link() ?></div>
    <div class="comment-meta"><?php printf(__('Posted %1$s at %2$s <span class="meta-sep">|</span> <a href="%3$s" title="Permalink to this comment">Permalink</a>', 'basicco'),
       get_comment_date(),
       get_comment_time(),
       '#comment-' . get_comment_ID() );
       edit_comment_link(__('Edit', 'basicco'), ' <span class="meta-sep">|</span> <span class="edit-link">', '</span>'); ?></div>
  <?php if ($comment->comment_approved == '0') _e("\t\t\t\t\t<span class='unapproved'>Your comment is awaiting moderation.</span>\n", 'basicco') ?>
          <div class="comment-content">
        <?php comment_text() ?>
    </div>
  <?php // echo the comment reply link
   if($args['type'] == 'all' || get_comment_type() == 'comment') :
    comment_reply_link(array_merge($args, array(
     'reply_text' => __('Reply','basicco'),
     'login_text' => __('Log in to reply.','basicco'),
     'depth' => $depth,
     'before' => '<div class="comment-reply-link">',
     'after' => '</div>'
    )));
   endif;
  ?>
<?php } // end custom_comments

function custom_pings($comment, $args, $depth) {
       $GLOBALS['comment'] = $comment;
        ?>
      <li id="comment-<?php comment_ID() ?>" <?php comment_class() ?>>
       <div class="comment-author"><?php printf(__('By %1$s on %2$s at %3$s', 'basicco'),
         get_comment_author_link(),
         get_comment_date(),
         get_comment_time() );
         edit_comment_link(__('Edit', 'basicco'), ' <span class="meta-sep">|</span> <span class="edit-link">', '</span>'); ?></div>
    <?php if ($comment->comment_approved == '0') _e('\t\t\t\t\t<span class="unapproved">Your trackback is awaiting moderation.</span>\n', 'basicco') ?>
            <div class="comment-content">
       <?php comment_text() ?>
   </div>
<?php } // end custom_pings

function commenter_link() {
 $commenter = get_comment_author_link();
 if ( ereg( '<a[^>]* class=[^>]+>', $commenter ) ) {
  $commenter = ereg_replace( '(<a[^>]* class=[\'"]?)', '\\1url ' , $commenter );
 } else {
  $commenter = ereg_replace( '(<a )/', '\\1class="url "' , $commenter );
 }
 $avatar_email = get_comment_author_email();
 $avatar = str_replace( "class='avatar", "class='photo avatar", get_avatar( $avatar_email, 60 ) );
 echo $avatar . ' <span class="fn n">' . $commenter . '</span>';
} // end commenter_link

?>