<!DOCTYPE html>

<!--[if IE 6]>
<html id="ie6" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 7]>
<html id="ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->

<head>
    
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0">
<title><?php wp_title('&#124;', true, 'right'); ?><?php bloginfo('name'); ?></title>
<meta name="description" content="<?php if ( is_single() ) { single_post_title('', true); } else { bloginfo('name'); echo " - "; bloginfo('description'); } ?>" />
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link rel="shortcut icon" href="<?php echo get_stylesheet_directory_uri(); ?>/images/favicon.png" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />             
<?php 
 
if ( is_singular() ) wp_enqueue_script( 'comment-reply' );
 
wp_head();

?>
<!--[if lt IE 9]>
    <script src="<?php echo get_stylesheet_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->

</head>

<body <?php body_class(); ?>>

<header id="header">
    <div id="header-wrapper">
    <?php if ( get_header_image() != '' ) : ?>              
        <div id="logo">
            <a href="<?php echo home_url('/'); ?>"><img src="<?php header_image(); ?>" width="<?php if(function_exists('get_custom_header')) { echo get_custom_header() -> width;} else { echo HEADER_IMAGE_WIDTH;} ?>" height="<?php if(function_exists('get_custom_header')) { echo get_custom_header() -> height;} else { echo HEADER_IMAGE_HEIGHT;} ?>" alt="<?php bloginfo('name'); ?>" /></a>
        </div>
    <?php endif; ?>
    <?php if ( !get_header_image() ) : ?>                
        <div id="logo">
            <span class="site-name"><a href="<?php echo home_url('/'); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home"><?php bloginfo('name'); ?></a></span>
        </div>
    <?php endif; ?>

        <!-- This is a social media icons section. Edit your urls or delete it. -->

        <div id="social-media-section">
            <ul class="social-icons">
                <li><a class="icon_facebook" href="http://www.facebook.com" target="_blank"><img src="<?php echo get_stylesheet_directory_uri(); ?>/icons/facebook.png" alt="facebook"/></a></li>
                <li><a class="icon_twitter" href="http://www.twitter.com" target="_blank"><img src="<?php echo get_stylesheet_directory_uri(); ?>/icons/twitter.png" alt="twitter"/></a></li>
                <li><a class="icon_google_plus" href="http://www.google.com" target="_blank"><img src="<?php echo get_stylesheet_directory_uri(); ?>/icons/google_plus.png" alt="google+"/></a></li>
                <li><a class="icon_linkedin" href="http://www.linkedin.com" target="_blank"><img src="<?php echo get_stylesheet_directory_uri(); ?>/icons/linkedin.png" alt="linkedin"/></a></li>
                <li><a class="icon_rss" href="" target="_blank"><img src="<?php echo get_stylesheet_directory_uri(); ?>/icons/rss.png" alt="rss"/></a></li>
                <li><a class="icon_flickr" href="http://www.flickr.com" target="_blank"><img src="<?php echo get_stylesheet_directory_uri(); ?>/icons/flickr.png" alt="flickr"/></a></li>
                <li><a class="icon_instagram" href="http://www.instagram.com" target="_blank"><img src="<?php echo get_stylesheet_directory_uri(); ?>/icons/instagram.png" alt="instagram"/></a></li>
                <li><a class="icon_deviantart" href="http://www.deviantart.com" target="_blank"><img src="<?php echo get_stylesheet_directory_uri(); ?>/icons/deviantart.png" alt="deviantart"/></a></li>
                <li><a class="icon_vimeo" href="http://www.vimeo.com" target="_blank"><img src="<?php echo get_stylesheet_directory_uri(); ?>/icons/vimeo.png" alt="vimeo"/></a></li>
                <li><a class="icon_youtube" href="http://www.youtube.com" target="_blank"><img src="<?php echo get_stylesheet_directory_uri(); ?>/icons/youtube.png" alt="youtube"/></a></li>
            </ul>
        </div><!-- End of social media section -->
    </div>
</header>

<nav id="top-menu">
    <div id="top-navigation">
        <?php wp_nav_menu('top-navigation'); ?>
    </div>
</nav>

<div id="wrapper">
