<?php
/*
Template Name: Archives
*/
?>
<?php get_header(); ?>
<?php if ( has_post_thumbnail( $post->ID ) ) { ?>
<div id="post-thumbnail">
    <?php echo get_the_post_thumbnail( $post->ID, 'post-thumbnail' ); ?>
</div>
<?php } ?>
<div id="content" class="widecolumn">
    <?php while ( have_posts() ) : the_posts ?>
    <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        <h1 class="entry-title"><?php the_title(); ?></h1>
        <?php edit_post_link( __( 'Edit', 'basicco' ), 'div class="entry-meta">', '</div>' ); ?>
        <div class="entry-content">
            <?php the_content(); ?>
            <h2><?php _e( 'Search for month:', 'basicco' ); ?></h2>
            <ul>
                <?php wp_get_archives('type=monthly'); ?>
            </ul>
            <h2><?php _e( 'Search for category:', 'basicco' ); ?></h2>
            <ul>
                <?php wp_list_categories('title_li='); ?>
            </ul>
            <h2><?php _e( 'Search for tag:', 'basicco' ); ?></h2>
            <?php wp_tag_cloud('smallest=8&largest=28&number=0&orderby=name&order=ASC'); ?>
        </div>
    </div>
    <?php if (comments_open()) { ?>
        <?php comments_template( '', true ); ?>
    <?php } ?>
    <?php endwhile; ?>
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
